Show / Hide Table of Contents

# Class BuddyMember

This class represents a buddy such as the chocobo companion, summoned pets, squadron groups and trust parties.

##### Inheritance

System.Object
BuddyMember

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Buddy

###### Assembly: Dalamud.dll

##### Syntax

    public class BuddyMember

### Properties

| Improve this Doc View Source

#### Address

Gets the address of the buddy in memory.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### CurrentHP

Gets the current health of this buddy.

##### Declaration

    public uint CurrentHP { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### DataID

Gets the data ID of this buddy.

##### Declaration

    public uint DataID { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GameObject

Gets the actor associated with this buddy.

##### Declaration

    public GameObject GameObject { get; }

##### Property Value

Type | Description
--- | ---
GameObject |

##### Remarks

This iterates the actor table, it should be used with care.

| Improve this Doc View Source

#### MaxHP

Gets the maximum health of this buddy.

##### Declaration

    public uint MaxHP { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MountData

Gets the Mount data related to this buddy. It should only be used with companion buddies.

##### Declaration

    public ExcelResolver<Mount> MountData { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.Mount> |

| Improve this Doc View Source

#### ObjectId

Gets the object ID of this buddy.

##### Declaration

    public uint ObjectId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PetData

Gets the Pet data related to this buddy. It should only be used with pet buddies.

##### Declaration

    public ExcelResolver<Pet> PetData { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.Pet> |

| Improve this Doc View Source

#### TrustData

Gets the Trust data related to this buddy. It should only be used with battle buddies.

##### Declaration

    public ExcelResolver<DawnGrowMember> TrustData { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.DawnGrowMember> |